Megjelent a Debian 7.0 "Wheezy"

 ( trey | 2013. május 5., vasárnap - 9:24 )

Debian 7.0 ("Wheezy")

A Debian projekt bejelentette, hogy megjelent a Debian 7.0-s, kódnevén "Wheezy" kiadása. Több mint két év telt el az előző, 6.0-s kiadás óta, amely 2011. február 6-án látott napvilágot. Az új "stable" disztribúció kiadásának fő célja az új multiarch támogatás elérhetővé tétele.

A multiarch támogatás lehetővé teszi a felhasználók számára, hogy különböző architektúrák csomagjait telepíthessék ugyanarra a számítógépre. Ez azt jelenti, hogy mostantól első ízben nyílik lehetőség arra, hogy mind 32 bites, mind 64 bites szoftvereket telepíthessünk ugyanarra a számítógépre úgy, hogy a vonatkozó összes függőség automatikusan feloldódik.

Fejlődött a telepítőrendszer is. A disztribúció már telepíthető a beszédszintetizátor segítségével is (Install with speech synthesis menüpont a telepítőben), ez segítéség azoknak a látássérülteknek akik nem használnak Braille eszközt.

Első alkalom, hogy a Debian telepíthető és használható UEFI környezetben is, noha csak Secure Boot nélkül, mert a Secure Boot jelenleg még nem támogatott.

A kiadásban számos újdonság található (az előző kiadáshoz képest):

  • Apache 2.2.22
  • Asterisk 1.8.13.1
  • GIMP 2.8.2
  • a GNOME 3.4 desktop környezet egy frissített verziója
  • GNU Compiler Collection 4.7.2
  • Icedove 10 (a Mozilla Thunderbird unbranded változata)
  • Iceweasel 10 (a Mozilla Firefox unbranded változata)
  • KDE Plasma Workspaces és KDE Applications 4.8.4
  • kFreeBSD kernel 8.3 and 9.0
  • LibreOffice 3.5.4
  • Linux 3.2
  • MySQL 5.5.30
  • Nagios 3.4.1
  • OpenJDK 6b27 and 7u3
  • Perl 5.14.2
  • PHP 5.4.4
  • PostgreSQL 9.1
  • Python 2.7.3 and 3.2.3
  • Samba 3.6.6
  • Tomcat 6.0.35 and 7.0.28
  • Xen Hypervisor 4.1.4
  • az Xfce 4.8 desktop környezet
  • X.Org 7.7
  • és több mint 36 000 további, azonnali használtara kész szoftvercsomag, amelyet közel 17 500 forráscsomag lefordításával hoztak létre

A Debian 7.0 kilenc architektúrát támogat:

  • 32-bit PC / Intel IA-32 (i386)
  • 64-bit PC / Intel EM64T / x86-64 (amd64)
  • Motorola/IBM PowerPC (powerpc)
  • Sun/Oracle SPARC (sparc)
  • MIPS (mips (big-endian) és mipsel (little-endian))
  • Intel Itanium (ia64)
  • IBM S/390 (31-bit s390 és 64-bit s390x)
  • valamint ARM EABI (armel és armhf)

Részletek a bejelentésben.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Megjött anyák napjára. :)
Szép ajándék.

Uhh bazz, anyák napja, kössz, hogy szóltál :D
De megy is a reinstall

Nos igazából tegnap jelent meg, de az értékéből semmit nem von le. Csodálkoztam is, h itt még nem jelent meg a hír.

http://www.debian.org/News/2013/20130504

---
debian squeeze

Két napja meg a squeeze volt a stable, szívtam is vele mint a torkosborz. Ebben sincs non-free firmware?
--
zsebHUP-ot használok!

Feltételezve, hogy már fent van az alaprendszer: apt-get install firmware-linux-nonfree vagy firmware-linux

Lol, ha nincs hálókártya, akkor ez nagyon izgalmas tud lenni. Főleg ha nincs drótos net, csak wifi. Főleg ha letöltöm a wifi kártya zártforrású szarját, ami a netről akarja lehúzni a binárist. Kicsit furcsán néztem a végén már az egészre.
--
zsebHUP-ot használok!

Ja és a végére azért csak kiderült hogy nincs a non-free firmware csomagban a wifi kártya drivere :)
--
zsebHUP-ot használok!

Ez azért winnél is előfordul. Ha nincs ethernet, kézzel kell felgyógyítani a wifi drivert :)

Ez velem pont előfordult. Thinkpad T61, ismeretlen eszköz, hálózati vezérlő (vagy hogy is hívják, rég volt). Nem találok hozzá illesztőprogramot, megkereshetem-e a neten?
Ekkor bújt belém a kisördög, és azt mondtam neki, hajrá, keress. Aztán persze szólt, hogy nem talált hálózati kapcsolatot. Nem mondom, hogy meglepődtem rajta :-)

Érdekes, hogy nem csinálták meg. És az is fura, hogy még mindig driver CD-k kellenek egy új alaplap, notebook, stb. életrekeltéséhez. Linux alatt ez érdekes módon megoldottabbnak tűnik.

"Linux
alatt ez érdekes módon megoldottabbnak tűnik."
- ez pont linux alatt történt.

--
zsebHUP-ot használok!

Tudom, ezért nem azt mondtam, hogy megoldottnak.

Az rendben van, csak az nem fordul elő, hogy a pendrivera letöltött installer a netrol akarja lehuzni a halokartya driver binarist. Esszulye'...
--
zsebHUP-ot használok!

A squeeze-ben meghirdetett free kernel ota igy van es a lent emlitett modszerrel vagy az unoffical firmware boot-tal orvosolhato a problema:

http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/7.0.0/amd64/iso-cd/

Btw mindket megoldas szerepel az install guide-ban (;oP):

http://www.debian.org/releases/stable/amd64/ch06s04.html.en

Nincs benne a non-free firmware-ben a tisztelt driver, úgyhogy ez nem volt segítség. Azt tudom hogy a squeeze-ben nem volt, de reménykedtem benne hogy a wheezy-re megjött az eszük.
--
zsebHUP-ot használok!

hétvégén én is szívtam valami b43-mal netinstall esetén. letöltöttem a javasolt non-free netinstallt, ha hazaértem újult erővel állok neki.
--
Én TUDOM, hogy igazam van. És ha nincs is, akkor is NEKEM van igazam, mert én vagyok az Admin. Ennyi!

Welcome to the Club - dettó ugyanaz!
--
zsebHUP-ot használok!

Nem sikerült... de volt mentőötletem, galaxy s3-ról usb-n osztottam neki netet...

--
Én TUDOM, hogy igazam van. És ha nincs is, akkor is NEKEM van igazam, mert én vagyok az Admin. Ennyi!

nekem sem, én elhúztam egy baromi nehéz faliszekrényt, mögötte volt az egyetlen elérhető ethernet végpont...

--
"Nem akkor van baj amikor nincs baj, hanem amikor van!"
Népi bölcsesség

Nem rossz ötlet, nálam is csak wifi van.
Legalább végre újra vége lesz ennek a borzalmas RPM korszakomnak.
Mondjuk ezeknél frisebb csomagokat használok.
--
AGA@
Fork portal és az egyik logóm :)

Nincs, hisz Debian. De csak egy pendrive kell és elolvasod a "Firmware during the installation" részt:

http://wiki.debian.org/Firmware

Próbáltam már korábban, nekem tg3 meghajtó kellett a non-free-ből és működik.


"Belépés díjtalan, kilépés bizonytalan."

A squeeze-ben meghirdetett free kernel ota igy van es a fent emlitett modszerrel vagy az unoffical firmware boot-tal orvosolhato a problema:

http://cdimage.debian.org/cdimage/unofficial/non-free/cd-including-firmware/7.0.0/amd64/iso-cd/

Btw mindket megoldas szerepel az install guide-ban (;oP):

http://www.debian.org/releases/stable/amd64/ch06s04.html.en

Nekem ez sem segített, pedig felismerte a wifit és jelszót is kérte. De mégsem tudta a kapcsolatot létrehozni.

......................
Egymás segítésére még: http://pc-kozosseg.com

Esetleg MAC szűrés volt a routeren?

A laptopomon más rendszer simán kezeli a wifit. Az Intel 2100 wireless firmware (ipw2100-1.3.fw) cuccot kérte és én meg is adtam neki. Elfogadta, wifi, wpa2 kiválasztva, jelszó helyesen beírva és ezt nem fogadta el. Szerintem kénytelen leszek vezetékesen feltelepíteni. Az viszont jó kérdés, hogy ezután be tudom e állítani a wifit.
Az viszont érdekes volt, hogy net nélkül is felnyomott egy alaprendszert. Fél GB nem volt méretben.

......................
Egymás segítésére még: http://pc-kozosseg.com

Ajajj, egyre jobban érik 1-2 régi gép teljes frissítése, muszáj lesz dolgozni, ehe.

Az informatika már csak ilyen

Sokat hezitáltam hogy mikor upgradeljek 6-ra. Most ismét kezdhetek hezitálni.

Szerintem is lassan ideje lesz 6.0-ra upgrade-elni. :)
--
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." John F. Woods
Get dropbox account now!

ámen

Nagyon jó a speech syntethizeres telepítő magyarul :)
"Most kell megadni a rót felhasználó jelszavát"
"... hogy a rót helyett E-Zé-Té használd"
"GRUB bót" - az az a hely, ahol GRUB-ot lehet venni?

Ééééés utána boot közben felolvassa az egész logot... és mindent a tty-n. cat /etc/passwd nagyon jó. Szerintem egyszer rögzítem az apt-get install kde-full hangkimenetét és beállítom csengőhangnak.

BlackY

:D

Jól látom, hogy ez több komponensben máris elavultnak számít?

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Mihez képest? :D

Nem elavult, kitesztelt. ;)

________________________________________
"The vision of Christ that thou dost see
Is my vision’s greatest enemy."

Nah ja. De legalább ők FireFox-ból a 17-es ESR-re frissítettek.


"Belépés díjtalan, kilépés bizonytalan."

LibreOffice 3.5? Az már tavaly elérte az End Of Life-ot. Sőt a 3.6 is eléri 3 hónap múlva. Miért nem 4.0? Vagy legalább 3.6.
A release-critical buglist se üres még, akkor hogy hogy megjelent? Már Debian is adott dátumkor jelenik meg, nem akkor, amikor kész?
________________________________________________
Attól, hogy más hülye, te még lehetnél normális.

Megkérdezheted ugyanezt a Firefox/Thunderbird kombóra is. Azok is már jóval előrébb járnak.

Ezek a verziók már nem támogatottak.

Nekem Iceweasel 20.0 van Wheezy alatt.

http://mozilla.debian.net/

A felsorolásban a "Linux 3.2" a kernel verziószáma lenne? :-)

Nem nagyon tudok másra gondolni. Miért?

--
trey @ gépház

Már május elsején megejtettem a frissítést. Eddig semmi probléma nincs vele. De a szokásos frissítésben most volt egy kis döccenés: az upgrade nem akart lefutni az openjdk-6 miatt. Az openoffice csomagok eltávolítása után hibátlanul upgrade-elődött.

Az egyik gépem cirka két éve már experimental-ban frissül (egyszer úgy maradt, aztán ráhagytam), soha semmi gondom nem volt még vele (persze ez nem jelenti azt, hogy egyszer nem fog összeborulni valami extra frissitestől), csak eléggé nyomják a tesztelést az exp. repók töltésekor is.
--
zsebHUP-ot használok!

Szerintetek apt-get-el érdemes frissíteni vagy aptitude-val? :)

sources.list szerkesztése
apt-get update
apt-get dist-upgrade
(ha közben valamit mókolni kell akkor apt-get install -f)
a végén nyomass még egy dist-upgradet és minden szám nulla legyen
apt-get autoclean
apt-get autoremove
reboot a kernel miatt

(sosem csináltam aptitude-dal)

--
http://neurogadget.com/

Oké, csak olvastam pár helyen, hogy aptitude jobban kezeli a függőségeket és amiatt kérdeztem :)
Amúgy stable vagy wheezy-t írsz a sources.list-be? :)

Az aptitude tutter hogy az apt-n alapul. Ha stable, akkor a mindenkori stable, ha wheezy akkor pedig csak a wheezy.
--
zsebHUP-ot használok!

a függőségeket nem lehet "jobban" kezelni! bahhh csak "rosszabbul"!

Máshogy kezeli. Különböző megoldásokat kínál fel, amelyek között lehet váltogatni, mielőtt ráereszted az upgrade-re. Van, akinek bejön; nálam maradt az apt.

Az upgrade nem maradt ki? (a dist-upgrade akkor kell, ha addig még nem telepített csomagfüggőséget igényel valamely csomag frissitése).

--
zsebHUP-ot használok!

Nekem is logikusnak tűnik a dist-upgrade :) Gondolnám ez magába foglalja az upgradet is, így nem kell, szerintem :)

Nálam kellett, mert egyből dist-upgrade-re errort adott. Viszont érdekes, hogy a csomagoknak csak a 20-25%-át frissítette az upgrade és a dist-upgrade csinálta meg a maradékot.

Nem kell upgrade. A dist-upgrade "erősebb, bővebb" művelet. Ugyanazt teszi mint az upgrade (telepitett csomagok frissitése a legfrisebb adatbázis alapján), de rekurzivan követi az upgrade követelményeit (függőségek frissitése, új csomagok telepitése sőt törlése).

--
http://neurogadget.com/

Mindenképpen apt-get, a release note-ban ki van emelve, hogy a korábbiaktól eltérően wheezy-re ne aptitude-al frissits.

Amikor még először néztem, akkor még nem találtam :)

Ettől függetlenül, első rendszeren hiba nélkül lefutott aptitude-val :)

Debian GNU/Hurd Wheesid

http://people.debian.org/~sthibault/hurd-i386/installer/cdimage/
----
"Kb. egy hónapja elkezdtem írni egy Coelho-emulátort, ami kattintásra generál random Coelho-kompatibilis tartalmat."
Instant Coelho

Én már frissítettem.

"You get a friend in me!" :-)
--
Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

A legneccesebb frissítésem volt.

------------------------

Érdekes, nekem eddig semmilyen komoly problémát nem hozott elő

Dovecot 2.1, el sem hiszem.

Nem mondod? :o
--
Ki oda vagyik, hol szall a galamb, elszalasztja a kincset itt alant.

Egyre kényelmesebb lesz telepíteni a debiant. Van aki emlékszik még arra, hogy Potatonál mennyivel körülményesebb volt egy desktop telepítés?

Hígul a szakma.

Nálam szopó ág volt illetve még van is. Csak az első DVD-t töltöttem le, azon meg nem találta őkelme a grub telepítőt. Után valahogy lebányászta a webről, de csak az alap rendszert telepítette utána. A GNOME-ot kézzel kellett fölrakni. Most ugye jó lenne egy KDE, de abból sincsen meg minden a lemezen, a sources.list meg tök üres, csak a DVD van benne mint tároló. Tudom, lémer dolog, de tudna valaki bemásolni egy komplett használható sources.list-et?

--------------------------

Csak a viták elkerülése végett. Ha nem használok ékezetet, mobiltelefonról írok.

Nálam dettó, de a CD is ilyen. Végül innen letöltöttem a Live rendszert és avval sikerült telepítenem.

Szerk.: Hagyományos módon telepítettem, nem grafikus telepítéssel. Nálam a live a garfikus telepítésen az elején elhasalt, de ez lehet hardverfüggő.

Debian Sources List Generator (Beta) (Nem próbáltam.)

Nekem ez van benne:

deb http://ftp.hu.debian.org/debian/ wheezy main contrib non-free
deb-src http://ftp.hu.debian.org/debian/ wheezy main contrib non-free

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

# wheezy-updates, previously known as 'volatile'
deb http://ftp.hu.debian.org/debian/ wheezy-updates main
deb-src http://ftp.hu.debian.org/debian/ wheezy-updates main

Köszi, mindjárt kipróbálom.

Szerk: Ez nekem olyan karcsúnak tűník. Multimédia tároló és a többiek nincsnek?

--------------------------

Csak a viták elkerülése végett. Ha nem használok ékezetet, mobiltelefonról írok.

De vannak, csak azokat automatikusan kikommentelte, mivel netinstall-lal telepítettem

Beírnád azokat is? Előre is köszi.

Amúgy már lendületben a szekér, pakolgatom fel a cuccokat.

--------------------------

Csak a viták elkerülése végett. Ha nem használok ékezetet, mobiltelefonról írok.

# deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official amd64 NETINST Binary-1 / wheezy main
#deb cdrom:[Debian GNU/Linux 7.0.0 _Wheezy_ - Official amd64 NETINST Binary-1 / wheezy main

Upsz! Ez valami egészen más, mint ami nekem kéne. :-)

--------------------------

Csak a viták elkerülése végett. Ha nem használok ékezetet, mobiltelefonról írok.

Gondoltam, hisz neked gondolom nem netinstall kellene :)

deb-multimedia.org itt fent van a tárolók listája

Debiant csak netinstallal, és alaprendszerre kézzel pakolgatós megoldással, így lesz kicsi, gyors és erős.
--
zsebHUP-ot használok!

Fasza! Vdpau és vonzatainak a felrakása után, az első boot során elhasalt a KDE. A kdm-et manuálisan sem lehet indítani.

--------------------------

Csak a viták elkerülése végett. Ha nem használok ékezetet, mobiltelefonról írok.

Potato, ugyan már :)
Első Debian installom a bo (1.3) volt. Hol volt akkor még apt! :)

Akkor nekem egy hétig tartott. Utána pont egy hétig működött, majd meghalt a vinyó. Örültem.
--
AGA@
Fork portal és az egyik logóm :)

Hm. Én anno Woody-val szoptam napokon át, hogy végre elinduljon a szájbavert grafikus felület. Még az analízis vizsgát is sztornóztam miatta. :D Tudom, fiatal vagyok.
--
"Always code as if the guy who ends up maintaining your code will be a violent psychopath who knows where you live." John F. Woods
Get dropbox account now!

32 bites gépre a hálózatos telepítővel telepítettem, szépen fel is ment, hiba nélkül.

Viszont az újraindítás után a beállításokat segítő alkalmazást -- ami pl. a képernyőfelbontást is intézi -- hiába indítom el, nem indul, s semmi hibaüzenetet sem kapok (vagy elnyeli a rendszer).

Mit szúrhattam el?

G
============================================
"Share what you know. Learn what you don't."

Hogy félretetted a jó kis júzerfrendly BSD-t.

Gondoltam kipróbálom a 7-es Debian-t, de jól ráfaragtam.

Egyébként ez az általam jelzett hiba a 6-os Debian/kFreeBSD változatnál is megvolt, mer' hogy azt is kipróbáltam korábban, hasonló sikerrel...

Gábor
============================================
"Share what you know. Learn what you don't."

Na, valaki tud-e rajtam segíteni... akinek efféle SD kártya olvasója van:
SD Host controller: O2 Micro, Inc. Integrated MMC/SD Controller (rev 01)

Megyen-e ez a wheezy-be csomagolt kernellel...? :-|
Emiatt (is) raktam az überfaxa legfrissebb ubuntu helyett fel 5 év után ismét stabil debiánt... :-/

Sajnos nekem nincs, de utána néztem és elvileg 3.2-vel valakinek problémája volt vele, viszont 3.0-ával tesztelve volt